For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all collections.
      • POSTCreate a collection.
      • GETGet a collection by ID.
      • PUTUpdate a collection by ID.
      • DELDelete a collection by ID.
      • GETGet all syncs for a given collection
      • GETGet view state for a collection.
      • PUTUpdate view state for a collection.
      • DELDelete view state for a collection.
      • GETList individual views for a collection.
      • POSTCreate an individual view.
      • PUTUpdate an individual view.
      • DELDelete an individual view.
LogoLogo
Scout DocsAccess Scout
EndpointsCollections

List all collections.

Beta
GET
https://api.scoutos.com/v2/collections
GET
/v2/collections
$curl https://api.scoutos.com/v2/collections \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "collection_config": {
5 "collection_display_name": "Spring Artifacts",
6 "collection_img_url": "https://example.com/images/spring-artifacts.jpg",
7 "collection_description": "A curated collection of spring-themed art pieces and artifacts.",
8 "tags": [
9 "spring",
10 "art",
11 "seasonal"
12 ]
13 },
14 "last_updated_at": "2024-01-15T09:30:00Z",
15 "created_at": "2024-01-15T09:30:00Z",
16 "created_by": {
17 "type": "user",
18 "details": {
19 "api_key": {}
20 }
21 },
22 "last_updated_by": {
23 "type": "user",
24 "details": {
25 "api_key": {}
26 }
27 },
28 "collection_id": "a1b2c3d4-e5f6-7890-abcd-1234567890ef",
29 "revision_id": "rev-20240115-0930"
30 }
31 ],
32 "has_more": true,
33 "next_cursor": "cursor_20240115_0930"
34}
Was this page helpful?
Previous

Create a collection.

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

start_atstring or nullOptional

created_at to start at

limitinteger or nullOptional
Limit of records to return
querystringOptional
Search query
tagsstringOptional
Filter by tags
sortstring or nullOptional
Sort
drivebooleanOptionalDefaults to false

Response

Successful Response
datalist of objects or null
has_moreboolean or null
next_cursorstring or null

Errors

422
Unprocessable Entity Error